package com.ruoyi.common.constant;

/**
 * 按钮类型
 */
public class ButtonTypeConstants {

    /** 操作按钮 */
    public static final Long HANDLE = 0L;

    /** 其他按钮 */
    public static final Long OTHER = 1L;

    /** 表单按钮 */
    public static final Long FORM = 2L;

    /** 内链按钮 */
    public static final Long INNER_CHAIN = 3L;

    /** 流程按钮 */
    public static final Long PROCESS = 4L;

    /** 脚本按钮 */
    public static final Long SCRIPT = 5L;

    /** 目录 */
    public static final Long CATALOGUE = 6L;

    /** 外链按钮 */
    public static final Long OUTSIDE_CHAIN = 7L;

    /** 修改按钮 */
    public static final Long UPDATE = 8L;

    /** 删除按钮 */
    public static final Long DELETE = 9L;

    /** 新增按钮 */
    public static final Long INSERT = 10L;

}
