package com.ruoyi.common.utils.form;

import com.ruoyi.common.config.form.FormProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import java.util.Map;

@Component
public class FromUtils<T> {

    @Autowired
    private FormProperties formProperties;

    RestTemplate restTemplate = new RestTemplate();

    /**
     * 执行流程排产
     */
    public String runBpmProductionScheduling(T param) {
        String data = restTemplate.postForObject(formProperties.runBpmIp, param, String.class);
        return data;
    }

    /**
     * 触发脚本
     */
    public String triggerScript(T param) {
        String data = restTemplate.postForObject(formProperties.runScriptIp,param,String.class);
        return data;
    }
}
