package com.ruoyi.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 动态格和动态格按钮关联对象 drag_table_btn_relevance
 * 
 * @author ruoyi
 * @date 2023-11-09
 */
public class DragTableBtnRelevance extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 动态表格key（唯一标识） */
    @Excel(name = "动态表格key", readConverterExp = "唯=一标识")
    private String tableKey;

    /** 动态表格按钮key（唯一标识） */
    @Excel(name = "动态表格按钮key", readConverterExp = "唯=一标识")
    private String btnKey;

    public void setTableKey(String tableKey) 
    {
        this.tableKey = tableKey;
    }

    public String getTableKey() 
    {
        return tableKey;
    }
    public void setBtnKey(String btnKey) 
    {
        this.btnKey = btnKey;
    }

    public String getBtnKey() 
    {
        return btnKey;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tableKey", getTableKey())
            .append("btnKey", getBtnKey())
            .toString();
    }
}
